For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Employer of Record
    • Introduction
    • Employment cost calculator
    • Hiring
    • Accept quote
    • Amendments
  • EOR Endpoints
      • GETGet termination
      • POSTInitiate EOR contract termination request
      • POSTRequest EOR Contract Resignation
      • POSTTermination Request
  • EOR Worker Endpoints
LogoLogo
SupportDeel Home
EOR EndpointsEOR Terminations

Get termination

GET
/eor/:oid/terminations/:terminationId
GET
/rest/v2/eor/:oid/terminations/:terminationId
$curl https://api.letsdeel.com/rest/v2/eor/oid/terminations/terminationId \
> -H "Authorization: Bearer <token>"
1{
2 "id": 1.1,
3 "end_date": "'2025-01-31T00:00:00.000Z'",
4 "contract_id": "5B74FnLM",
5 "request_data": {
6 "reason": "string",
7 "end_date": "'2025-01-31T00:00:00.000Z'",
8 "reason_detail": "Employee is moving to another country",
9 "desired_end_date": "2025-01-31",
10 "termination_impact": {
11 "id": "string",
12 "title": "Bad Impact",
13 "description": "It will be bad"
14 },
15 "eligible_for_rehire": "DONT_KNOW",
16 "eligible_for_rehire_reason": "false",
17 "custom_termination_reason_id": 1.1
18 },
19 "desired_end_date": "2025-01-31"
20}

Returns termination data for the specified contract and termination record. Requires viewer permissions. Token scopes: contracts:read

Was this page helpful?
Previous

Initiate EOR contract termination request

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

oidstringRequired
Public contract oid
terminationIdstringRequired
Termination id

Response

Ok response
iddouble
end_datestring or nullformat: "date-time"
The definitive contract end date
contract_idstring
Public contract oid
request_dataobject or null
desired_end_datestring or nullformat: "date-time"
The desired end date. If the date is not provided, it will be selected by HRX the closest date possible

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication